---
title: 'AbortSignal: abort event'
slug: Web/API/AbortSignal/abort_event
tags:
  - API
  - AbortSignal
  - DOM
  - Event
  - abort
---
<div>{{APIRef}}</div>

<p>The <code><strong>abort</strong></code> event of the <a href="/en-US/docs/Web/API/Fetch_API">Fetch API</a> is fired when a fetch request is aborted, i.e. using {{domxref("AbortController.abort()")}}.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler</th>
   <td><code><a href="/en-US/docs/Web/API/AbortSignal/onabort">onabort</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>In the following snippets, we create a new <code>AbortController</code> object, and get its {{domxref("AbortSignal")}} (available in the <code>signal</code> property). Later on we check whether or not it the signal has been aborted using the <code>onabort</code> property, and send an appropriate log to the console.</p>

<p>You can use the <code>abort</code> event in an <code><a href="/en-US/docs/Web/API/EventTarget/addEventListener">addEventListener</a></code> method:</p>

<pre class="brush: js notranslate">var controller = new AbortController();
var signal = controller.signal;

signal.addEventListener('abort', function() {
 console.log('Request aborted');
};</pre>

<p>Or use the <code><a href="/en-US/docs/Web/API/AbortSignal/onabort">onabort</a></code> event handler property:</p>

<pre class="brush: js notranslate">var controller = new AbortController();
var signal = controller.signal;

signal.onabort = function() {
  console.log('Request aborted');
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-abortsignal-onabort', 'abort')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AbortSignal.abort_event")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fetch_API">Fetch API</a></li>
</ul>
